## pescetti 0.5

=== Makefile ===
JAVA?=java
JAVAC?=javac
JAVADOC?=javadoc
JAR?=jar
JCFLAGS?=-source 1.5 -Xlint:all
MSGFMT?=msgfmt

PREFIX?=/usr/local
JARDIR?=$(PREFIX)/share/java
DOCDIR?=$(PREFIX)/share/doc/pescetti/
MANDIR?=$(PREFIX)/share/man/man1/
SHAREDIR?=$(PREFIX)/share/pescetti/
BINDIR?=$(PREFIX)/bin/

DEBUG?=disable

CLASSPATH=classes:/usr/share/java/debug-$(DEBUG).jar:/usr/share/java/itext.jar

VERSION=$(shell sed -n '1s/^Version \([0-9.]*\):$$/\1/p' changelog)

SRC=$(shell find cx -name '*.java')

all: pescetti-$(VERSION).jar dup2dds-$(VERSION).jar bin/dup2dds pescetti.1 bin/pescetti dealing-howto.pdf

.bin:
	mkdir -p bin
	touch .bin
.testbin:
	mkdir -p testbin
	touch .testbin
classes: .classes 
.classes: $(SRC) translations/*.po
	mkdir -p classes
	$(JAVAC) $(JCFLAGS) -cp $(CLASSPATH):classes -d classes $(SRC)
	(cd translations; for i in *.po; do $(MSGFMT) --java2 -r pescetti_localized -d ../classes -l $${i%.po} $$i; done)
	$(MSGFMT) --java2 -r pescetti_localized -d classes translations/en_GB.po
	touch .classes
clean:
	rm -rf classes bin testbin pescetti-$(VERSION)
	rm -f .classes .bin .testbin *.tar.gz *.jar pescetti.1 *Manifest.txt *.dvi *.pdf *.ps *.log *.aux

pescetti-$(VERSION).jar: PescettiManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< `find cx -name '*.class' -and -not -name 'dup2dds.class'` *localized*class)
dup2dds-$(VERSION).jar: DupManifest.txt .classes
	(cd classes; $(JAR) cfm ../$@ ../$< cx/ath/matthew/pescetti/dup2dds.class)

pescetti-$(VERSION).tar.gz: Makefile cx README INSTALL COPYING changelog pescetti.sh pescetti.sgml Manifest.txt.in dealing-howto.tex translations dup2dds.sh dup2dds.1 pbn2dds pbn2dds.1
	mkdir -p pescetti-$(VERSION)
	cp -a $^ pescetti-$(VERSION)
	tar zcf $@ pescetti-$(VERSION)

itext.jar: 
	ln -sf /usr/share/java/itext.jar .
debug-$(DEBUG).jar: 
	ln -sf /usr/share/java/debug-$(DEBUG).jar .

bin/%: %.sh .bin
	sed 's,\%JARPATH\%,$(JARDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@

testbin/%: %.sh .testbin dup2dds-$(VERSION).jar pescetti-$(VERSION).jar debug-$(DEBUG).jar itext.jar
	sed 's,\%JARPATH\%,.,;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@
	chmod 755 $@

%.pdf: %.tex
	pdflatex $^

%.1: %.sgml
	docbook-to-man $< > $@

DupManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.pescetti.dup2dds > $@
	echo Class-Path: $(SHAREDIR)/pescetti.jar >> $@
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@
PescettiManifest.txt: Manifest.txt.in
	echo Main-Class: cx.ath.matthew.pescetti.pescetti > $@
ifeq ($(DEBUG),enable)
	echo Class-Path: $(JARDIR)/debug-$(DEBUG).jar $(JARDIR)/itext.jar >> $@
else
	echo Class-Path: $(JARDIR)/itext.jar >> $@
endif
	cat $< >> $@
	echo "Implementation-Version: $(VERSION)" >> $@

translations/en_GB.po: $(SRC)
	echo "#java-format" > $@
	sed -n '/_(/s/.*_("\([^"]*\)").*/\1/p' $^ | sort -u | sed 's/\(.*\)/msgid "\1"\nmsgstr "\1"/' >> $@

install: pescetti.1 dup2dds.1 pbn2dds.1 bin/dup2dds bin/pescetti pescetti-$(VERSION).jar dup2dds-$(VERSION).jar changelog COPYING INSTALL README dealing-howto.pdf
	install -d $(DESTDIR)$(BINDIR)
	install bin/pescetti $(DESTDIR)$(BINDIR)
	install bin/dup2dds $(DESTDIR)$(BINDIR)
	install pbn2dds $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 pescetti.1 dup2dds.1 $(DESTDIR)$(MANDIR)
	install -d $(DESTDIR)$(SHAREDIR)
	install -m 644 pescetti-$(VERSION).jar $(DESTDIR)$(SHAREDIR)
	install -m 644 dup2dds-$(VERSION).jar $(DESTDIR)$(SHAREDIR)
	ln -sf pescetti-$(VERSION).jar $(DESTDIR)$(SHAREDIR)/pescetti.jar
	ln -sf dup2dds-$(VERSION).jar $(DESTDIR)$(SHAREDIR)/dup2dds.jar
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 changelog COPYING INSTALL README dealing-howto.pdf $(DESTDIR)$(DOCDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/pescetti  $(DESTDIR)$(BINDIR)/pbn2dds
	rm -f $(DESTDIR)$(SHAREDIR)/pescetti-$(VERSION).jar $(DESTDIR)$(SHAREDIR)/pescetti.jar
	rm -f $(DESTDIR)$(SHAREDIR)/dup2dds-$(VERSION).jar $(DESTDIR)$(SHAREDIR)/dup2dds.jar
	rm -f $(DESTDIR)$(MANDIR)/pescetti.1
	rm -f $(DESTDIR)$(MANDIR)/dup2dds.1
	rm -f $(DESTDIR)$(DOCDIR)/changelog $(DESTDIR)$(DOCDIR)/COPYING $(DESTDIR)$(DOCDIR)/INSTALL $(DESTDIR)$(DOCDIR)/README $(DESTDIR)$(DOCDIR)/dealing-howto.pdf
	-rmdir $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(SHAREDIR) $(DESTDIR)$(DOCDIR)

=== debian/changelog ===
pescetti (0.5-5) unstable; urgency=medium

  * update watch file
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 00:23:44 +0100

pescetti (0.5-4) sid; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: don't recommend dds (Closes: #921181)
                    (binary package disappeared from source package)
  * debian/control: as dds is no longer available, update description

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Feb 2019 20:03:44 +0100

pescetti (0.5-3) unstable; urgency=medium

  * debian/control: use debhelper 11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add VCS URLs
  * debian/rules: let it compile under java 9  (Closes: #874005)
                  (thanks to Emmanuel Bourg for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Apr 2018 16:13:44 +0100

pescetti (0.5-2) unstable; urgency=medium

  * new maintainer
  * debian/control: use debhelper 10
  * debian/source: added
  * debian/control: bump standard to 3.9.8

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2017 20:13:44 +0100

pescetti (0.5-1) unstable; urgency=low

  * Installs pbn + dds conversion programs
  * Add dependency on gettext
  * Use javahelper and dh 7
  * First Debian Upload (Closes: #559688)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 15 Nov 2009 20:13:44 +0000

=== debian/control ===
Source: pescetti
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends:
 debhelper-compat (= 12),
 default-jdk,
 fastjar,
 docbook-to-man,
 libmatthew-debug-java,
 libitext-java,
 gettext,
 javahelper (>= 0.23),
 texlive-latex-base,
 texlive-latex-extra,
 texlive-fonts-recommended
Standards-Version: 4.5.0
Section: games
Homepage: http://www.matthew.ath.cx/projects/pescetti/
Vcs-Browser: https://salsa.debian.org/alteholz/pescetti
Vcs-Git: https://salsa.debian.org/alteholz/pescetti.git

Package: pescetti
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Bridge Pseudo-duplimate generator
 Generates random bridge hands or hands matching a certain specification with a
 given probability. Produces hand records and dealing sheets to allow
 duplication of the hands without a duplimate machine.
 .
 Provides conversion or import from dds-format and pbn files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/Version: \(.*\)-[^-]*$$/\1/p')

%:
	dh $@ --with javahelper

override_dh_auto_test:

override_dh_auto_build:
	# Add here commands to compile the package.
	make JAR=fastjar JAVAC=${JAVA_HOME}/bin/javac JCFLAGS="-encoding utf8 -source 1.8 -Xlint:all" JAVA=java PREFIX=/usr all

override_dh_auto_clean:
	# Add here commands to clean up after the build process.
	make clean

override_dh_auto_install:
	# Add here commands to install the package into debian/tmp
	make DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install

override_dh_installdocs:
	dh_installdocs -i README dealing-howto.pdf

override_dh_install:
	dh_install -i --sourcedir=$(CURDIR)/debian/tmp

override_dh_link:
	dh_link -ppescetti usr/share/pescetti/pescetti.jar usr/games/pescetti
	dh_link -ppescetti usr/share/pescetti/dup2dds.jar usr/games/dup2dds

override_jh_manifest:
	jh_manifest -j"$(JAVA_HOME)" debian/pescetti/usr/share/pescetti/pescetti.jar  debian/pescetti/usr/share/pescetti/dup2dds.jar

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# dead upstream
#version=3
#opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv,downloadurlmangle=s/\/projects\/prescetti//i \
#http://www.matthew.ath.cx/projects/prescetti (?:.*/)?prescetti-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
